Bug 151053 - gdb isn't rebuildable against Rawhide
gdb isn't rebuildable against Rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 09:09 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 6.3.0.0-1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 09:03:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-03-14 09:09:30 EST
Description of problem:
gdb isn't rebuildable against Rawhide, fails with this error messages:

--- snipp ---
[...]
make[2]: Entering directory `/usr/src/redhat/BUILD/gmp-4.1.4/base/mpfr/tests'
make  reuse tabs tadd tagm tcan_round tcmp tcmp2 tcmp_ui tdiv tdiv_ui tdump teq 
texp tget_str tlog tconst_log2 tmul tmul_2exp tmul_ui tout_str tconst_pi tpow 
trandom tround_prec tset_d tset_f tset_q tset_si tset_str tset_z tsqrt tsqrt_ui 
tui_div tui_sub tswap ttrunc trint tisnan tget_d tatan tcosh tsinh ttanh tacosh 
tasinh tatanh thyperbolic texp2 tfactorial tsub tasin tconst_euler tcos tsin 
ttan tsub_ui tset tlog1p texpm1 tlog2 tlog10 tui_pow tpow3 tadd_ui texceptions 
tfma thypot tacos
make[3]: Entering directory `/usr/src/redhat/BUILD/gmp-4.1.4/base/mpfr/tests'
gcc -DHAVE_CONFIG_H -I. -I../../../mpfr/tests -I../.. -I../../.. -I../../../mpfr    -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386 -
mtune=pentium4 -ffloat-store -c `test -f '../../../mpfr/tests/reuse.c' || echo 
'../../../mpfr/tests/'`../../../mpfr/tests/reuse.c
gcc -DHAVE_CONFIG_H -I. -I../../../mpfr/tests -I../.. -I../../.. -
I../../../mpfr    -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386 -
mtune=pentium4 -ffloat-store -c `test -f '../../../mpfr/tests/tabs.c' || echo 
'../../../mpfr/tests/'`../../../mpfr/tests/tabs.c
In file included from ../../../mpfr/tests/tabs.c:27:
../../../mpfr/mpfr-test.h: In function 'mpfr_test_init':
../../../mpfr/mpfr-test.h:101: error: memory input 0 is not directly 
addressable
../../../mpfr/mpfr-test.h: In function 'drand':
../../../mpfr/mpfr-test.h:112: warning: dereferencing type-punned pointer will 
break strict-aliasing rules
make[3]: *** [tabs.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/usr/src/redhat/BUILD/gmp-4.1.4/base/mpfr/tests'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/gmp-4.1.4/base/mpfr/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gmp-4.1.4/base/mpfr'
make: *** [check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.77830 (%check)
--- snapp ---

Version-Release number of selected component (if applicable):
gdb-6.3.0.0-0.29

How reproducible:
Everytime, try to rebuild gdb.

Actual results / Expected results:
gdb should be compileable.
Comment 1 Andrew Cagney 2005-03-14 14:38:23 EST
Do you mean GMP or GDB?
Comment 2 Robert Scheck 2005-03-14 16:27:12 EST
Sorry Andrew, I mixed up the outputs:

For this bugreport I meant gdb, which has this error message - of
course:

--- snipp ---
[...]
make[1]: Entering directory `/usr/src/redhat/BUILD/gdb-6.3.0.0-build-
i386-redhat-linux-gnu/gdb'
gcc -c -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386 -
mtune=pentium4 -Wp,-U_FORTIFY_SOURCE    -I. -I../../gdb-6.3/gdb -
I../../gdb-6.3/gdb/config -DLOCALEDIR="\"/usr/share/locale\"" -
DHAVE_CONFIG_H -I../../gdb-6.3/gdb/../include/opcode -I../../gdb-
6.3/gdb/../readline/.. -I../bfd -I../../gdb-6.3/gdb/../bfd -
I../../gdb-6.3/gdb/../include -I../intl -I../../gdb-6.3/gdb/../intl  
-DMI_OUT=1 -DTUI=1 -Wimplicit -Wreturn-type -Wcomment -Wtrigraphs -
Wformat -Wparentheses -Wpointer-arith -Wuninitialized -Wformat-
nonliteral -Wunused-label -Wunused-function -Werror ../../gdb-
6.3/gdb/gdb.c
gcc -c -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386 -
mtune=pentium4 -Wp,-U_FORTIFY_SOURCE    -I. -I../../gdb-6.3/gdb -
I../../gdb-6.3/gdb/config -DLOCALEDIR="\"/usr/share/locale\"" -
DHAVE_CONFIG_H -I../../gdb-6.3/gdb/../include/opcode -I../../gdb-
6.3/gdb/../readline/.. -I../bfd -I../../gdb-6.3/gdb/../bfd -
I../../gdb-6.3/gdb/../include -I../intl -I../../gdb-6.3/gdb/../intl  
-DMI_OUT=1 -DTUI=1 -Wimplicit -Wreturn-type -Wcomment -Wtrigraphs -
Wformat -Wparentheses -Wpointer-arith -Wuninitialized -Wformat-
nonliteral -Wunused-label -Wunused-function -Werror ../../gdb-
6.3/gdb/i386-tdep.c
cc1: warnings being treated as errors
../../gdb-6.3/gdb/i386-tdep.c: In function 'i386
_analyze_struct_return':
../../gdb-6.3/gdb/i386-tdep.c:413: warning: pointer targets in 
passing argument 2 of 'read_memory' differ in signedness
../../gdb-6.3/gdb/i386-tdep.c: In function 'i386_skip_probe':
../../gdb-6.3/gdb/i386-tdep.c:467: warning: pointer targets in 
passing argument 2 of 'read_memory' differ in signedness
../../gdb-6.3/gdb/i386-tdep.c: In function 'i386_match_insn':
../../gdb-6.3/gdb/i386-tdep.c:508: warning: pointer targets in 
passing argument 2 of 'read_memory' differ in signedness
make[1]: *** [i386-tdep.o] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gdb-6.3.0.0-build-
i386-redhat-linux-gnu/gdb'
make: *** [all-gdb] Error 2
--- snapp ---
Comment 3 Robert Scheck 2005-03-23 09:03:48 EST
Thank you for solving it in Rawhide, closing now.

Note You need to log in before you can comment on or make changes to this bug.